using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.FormsManager.Repository;

namespace e_suite.Modules.FormsManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<FormRepository>().As<IFormRepository>().InstancePerLifetimeScope();
        builder.RegisterType<FormsManager>().As<IFormsManager>().InstancePerLifetimeScope();
    }
}